## org.eclipse.emf.ecore.xml.type.util
Class XMLTypeResourceImpl.FrameFactory

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.util.XMLTypeResourceImpl.FrameFactory

Enclosing class:
  XMLTypeResourceImpl

    public static final class XMLTypeResourceImpl.FrameFactory

extends java.lang.Object

Nested Class Summary
`static class` `XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame`
`static class` `XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame`
`static class` `XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame`
`static class` `XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame`

Field Summary
`protected XMLTypeResourceImpl.DataFrame` `anySimpleType`
`protected XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame` `anyType`
`protected XMLTypeResourceImpl.DataFrame` `anyURI`
`protected XMLTypeResourceImpl.DataFrame` `base64Binary`
`protected XMLTypeResourceImpl.DataFrame` `boolean_`
`protected XMLTypeResourceImpl.DataFrame` `booleanObject`
`protected XMLTypeResourceImpl.DataFrame` `byte_`
`protected XMLTypeResourceImpl.DataFrame` `byteObject`
`protected XMLTypeResourceImpl.DataFrame` `date`
`protected XMLTypeResourceImpl.DataFrame` `dateTime`
`protected XMLTypeResourceImpl.DataFrame` `decimal`
`protected XMLTypeResourceImpl.DataFrame` `double_`
`protected XMLTypeResourceImpl.DataFrame` `doubleObject`
`protected XMLTypeResourceImpl.DataFrame` `duration`
`protected XMLTypeResourceImpl.DataFrame` `entities`
`protected XMLTypeResourceImpl.DataFrame` `entitiesBase`
`protected XMLTypeResourceImpl.DataFrame` `entity`
`protected XMLTypeResourceImpl.DataFrame` `float_`
`protected XMLTypeResourceImpl.DataFrame` `floatObject`
`protected XMLTypeResourceImpl.DataFrame` `gDay`
`protected XMLTypeResourceImpl.DataFrame` `gMonth`
`protected XMLTypeResourceImpl.DataFrame` `gMonthDay`
`protected XMLTypeResourceImpl.DataFrame` `gYear`
`protected XMLTypeResourceImpl.DataFrame` `gYearMonth`
`protected XMLTypeResourceImpl.DataFrame` `hexBinary`
`protected XMLTypeResourceImpl.DataFrame` `id`
`protected XMLTypeResourceImpl.DataFrame` `idref`
`protected XMLTypeResourceImpl.DataFrame` `idrefs`
`protected XMLTypeResourceImpl.DataFrame` `idrefsBase`
`static XMLTypeResourceImpl.FrameFactory` `INSTANCE`
`protected XMLTypeResourceImpl.DataFrame` `int_`
`protected XMLTypeResourceImpl.DataFrame` `integer`
`protected XMLTypeResourceImpl.DataFrame` `intObject`
`protected XMLTypeResourceImpl.DataFrame` `language`
`protected XMLTypeResourceImpl.DataFrame` `long_`
`protected XMLTypeResourceImpl.DataFrame` `longObject`
`protected XMLTypeResourceImpl.DataFrame` `name`
`protected XMLTypeResourceImpl.DataFrame` `ncName`
`protected XMLTypeResourceImpl.DataFrame` `negativeInteger`
`protected XMLTypeResourceImpl.DataFrame` `nmtoken`
`protected XMLTypeResourceImpl.DataFrame` `nmtokens`
`protected XMLTypeResourceImpl.DataFrame` `nmtokensBase`
`protected XMLTypeResourceImpl.DataFrame` `nonNegativeInteger`
`protected XMLTypeResourceImpl.DataFrame` `nonPositiveInteger`
`protected XMLTypeResourceImpl.DataFrame` `normalizedString`
`protected XMLTypeResourceImpl.DataFrame` `notation`
`protected XMLTypeResourceImpl.DataFrame` `positiveInteger`
`protected XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame` `processingInstruction`
`protected XMLTypeResourceImpl.DataFrame` `qName`
`protected XMLTypeResourceImpl.DataFrame` `short_`
`protected XMLTypeResourceImpl.DataFrame` `shortObject`
`protected XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame` `simpleAnyType`
`protected XMLTypeResourceImpl.DataFrame` `string`
`protected XMLTypeResourceImpl.DataFrame` `time`
`protected XMLTypeResourceImpl.DataFrame` `token`
`protected XMLTypeResourceImpl.DataFrame` `unsignedByte`
`protected XMLTypeResourceImpl.DataFrame` `unsignedByteObject`
`protected XMLTypeResourceImpl.DataFrame` `unsignedInt`
`protected XMLTypeResourceImpl.DataFrame` `unsignedIntObject`
`protected XMLTypeResourceImpl.DataFrame` `unsignedLong`
`protected XMLTypeResourceImpl.DataFrame` `unsignedShort`
`protected XMLTypeResourceImpl.DataFrame` `unsignedShortObject`
`protected XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame` `xmlTypeDocumentRoot`

Constructor Summary
`XMLTypeResourceImpl.FrameFactory()`

Method Summary
`java.lang.Object` `popAnySimpleType(XMLTypeResourceImpl.DataFrame anySimpleType)`
`AnyType` `popAnyType(XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame anyType)`
`java.lang.String` `popAnyURI(XMLTypeResourceImpl.DataFrame anyURI)`
`byte[]` `popBase64Binary(XMLTypeResourceImpl.DataFrame base64Binary)`
`boolean` `popBoolean(XMLTypeResourceImpl.DataFrame boolean_)`
`java.lang.Boolean` `popBooleanObject(XMLTypeResourceImpl.DataFrame booleanObject)`
`byte` `popByte(XMLTypeResourceImpl.DataFrame byte_)`
`java.lang.Byte` `popByteObject(XMLTypeResourceImpl.DataFrame byteObject)`
`javax.xml.datatype.XMLGregorianCalendar` `popDate(XMLTypeResourceImpl.DataFrame date)`
`javax.xml.datatype.XMLGregorianCalendar` `popDateTime(XMLTypeResourceImpl.DataFrame dateTime)`
`java.math.BigDecimal` `popDecimal(XMLTypeResourceImpl.DataFrame decimal)`
`double` `popDouble(XMLTypeResourceImpl.DataFrame double_)`
`java.lang.Double` `popDoubleObject(XMLTypeResourceImpl.DataFrame doubleObject)`
`javax.xml.datatype.Duration` `popDuration(XMLTypeResourceImpl.DataFrame duration)`
`java.util.List<java.lang.String>` `popENTITIES(XMLTypeResourceImpl.DataFrame entities)`
`java.util.List<java.lang.String>` `popENTITIESBase(XMLTypeResourceImpl.DataFrame entitiesBase)`
`java.lang.String` `popENTITY(XMLTypeResourceImpl.DataFrame entity)`
`float` `popFloat(XMLTypeResourceImpl.DataFrame float_)`
`java.lang.Float` `popFloatObject(XMLTypeResourceImpl.DataFrame floatObject)`
`javax.xml.datatype.XMLGregorianCalendar` `popGDay(XMLTypeResourceImpl.DataFrame gDay)`
`javax.xml.datatype.XMLGregorianCalendar` `popGMonth(XMLTypeResourceImpl.DataFrame gMonth)`
`javax.xml.datatype.XMLGregorianCalendar` `popGMonthDay(XMLTypeResourceImpl.DataFrame gMonthDay)`
`javax.xml.datatype.XMLGregorianCalendar` `popGYear(XMLTypeResourceImpl.DataFrame gYear)`
`javax.xml.datatype.XMLGregorianCalendar` `popGYearMonth(XMLTypeResourceImpl.DataFrame gYearMonth)`
`byte[]` `popHexBinary(XMLTypeResourceImpl.DataFrame hexBinary)`
`java.lang.String` `popID(XMLTypeResourceImpl.DataFrame id)`
`java.lang.String` `popIDREF(XMLTypeResourceImpl.DataFrame idref)`
`java.util.List<java.lang.String>` `popIDREFS(XMLTypeResourceImpl.DataFrame idrefs)`
`java.util.List<java.lang.String>` `popIDREFSBase(XMLTypeResourceImpl.DataFrame idrefsBase)`
`int` `popInt(XMLTypeResourceImpl.DataFrame int_)`
`java.math.BigInteger` `popInteger(XMLTypeResourceImpl.DataFrame integer)`
`java.lang.Integer` `popIntObject(XMLTypeResourceImpl.DataFrame intObject)`
`java.lang.String` `popLanguage(XMLTypeResourceImpl.DataFrame language)`
`long` `popLong(XMLTypeResourceImpl.DataFrame long_)`
`java.lang.Long` `popLongObject(XMLTypeResourceImpl.DataFrame longObject)`
`java.lang.String` `popName(XMLTypeResourceImpl.DataFrame name)`
`java.lang.String` `popNCName(XMLTypeResourceImpl.DataFrame ncName)`
`java.math.BigInteger` `popNegativeInteger(XMLTypeResourceImpl.DataFrame negativeInteger)`
`java.lang.String` `popNMTOKEN(XMLTypeResourceImpl.DataFrame nmtoken)`
`java.util.List<java.lang.String>` `popNMTOKENS(XMLTypeResourceImpl.DataFrame nmtokens)`
`java.util.List<java.lang.String>` `popNMTOKENSBase(XMLTypeResourceImpl.DataFrame nmtokensBase)`
`java.math.BigInteger` `popNonNegativeInteger(XMLTypeResourceImpl.DataFrame nonNegativeInteger)`
`java.math.BigInteger` `popNonPositiveInteger(XMLTypeResourceImpl.DataFrame nonPositiveInteger)`
`java.lang.String` `popNormalizedString(XMLTypeResourceImpl.DataFrame normalizedString)`
`javax.xml.namespace.QName` `popNOTATION(XMLTypeResourceImpl.DataFrame notation)`
`java.math.BigInteger` `popPositiveInteger(XMLTypeResourceImpl.DataFrame positiveInteger)`
`ProcessingInstruction` `popProcessingInstruction(XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame processingInstruction)`
`javax.xml.namespace.QName` `popQName(XMLTypeResourceImpl.DataFrame qName)`
`short` `popShort(XMLTypeResourceImpl.DataFrame short_)`
`java.lang.Short` `popShortObject(XMLTypeResourceImpl.DataFrame shortObject)`
`SimpleAnyType` `popSimpleAnyType(XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame simpleAnyType)`
`java.lang.String` `popString(XMLTypeResourceImpl.DataFrame string)`
`javax.xml.datatype.XMLGregorianCalendar` `popTime(XMLTypeResourceImpl.DataFrame time)`
`java.lang.String` `popToken(XMLTypeResourceImpl.DataFrame token)`
`short` `popUnsignedByte(XMLTypeResourceImpl.DataFrame unsignedByte)`
`java.lang.Short` `popUnsignedByteObject(XMLTypeResourceImpl.DataFrame unsignedByteObject)`
`long` `popUnsignedInt(XMLTypeResourceImpl.DataFrame unsignedInt)`
`java.lang.Long` `popUnsignedIntObject(XMLTypeResourceImpl.DataFrame unsignedIntObject)`
`java.math.BigInteger` `popUnsignedLong(XMLTypeResourceImpl.DataFrame unsignedLong)`
`int` `popUnsignedShort(XMLTypeResourceImpl.DataFrame unsignedShort)`
`java.lang.Integer` `popUnsignedShortObject(XMLTypeResourceImpl.DataFrame unsignedShortObject)`
`XMLTypeDocumentRoot` `popXMLTypeDocumentRoot(XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame xmlTypeDocumentRoot)`
`XMLTypeResourceImpl.DataFrame` `pushAnySimpleType(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame` `pushAnyType(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushAnyURI(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushBase64Binary(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushBoolean(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushBooleanObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushByte(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushByteObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDate(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDateTime(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDecimal(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDouble(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDoubleObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushDuration(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushENTITIES(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushENTITIESBase(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushENTITY(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushFloat(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushFloatObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushGDay(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushGMonth(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushGMonthDay(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushGYear(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushGYearMonth(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushHexBinary(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushID(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushIDREF(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushIDREFS(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushIDREFSBase(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushInt(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushInteger(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushIntObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushLanguage(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushLong(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushLongObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushName(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNCName(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNegativeInteger(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNMTOKEN(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNMTOKENS(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNMTOKENSBase(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNonNegativeInteger(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNonPositiveInteger(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNormalizedString(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushNOTATION(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushPositiveInteger(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame` `pushProcessingInstruction(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushQName(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushShort(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushShortObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame` `pushSimpleAnyType(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushString(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushTime(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushToken(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedByte(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedByteObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedInt(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedIntObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedLong(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedShort(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.DataFrame` `pushUnsignedShortObject(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`
`XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame` `pushXMLTypeDocumentRoot(XMLTypeResourceImpl.StackFrame previous, org.xml.sax.Attributes attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final XMLTypeResourceImpl.FrameFactory INSTANCE

### anyType

    protected XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame anyType

### processingInstruction

    protected XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame processingInstruction

### simpleAnyType

    protected XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame simpleAnyType

### xmlTypeDocumentRoot

    protected XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame xmlTypeDocumentRoot

### anySimpleType

    protected XMLTypeResourceImpl.DataFrame anySimpleType

### anyURI

    protected XMLTypeResourceImpl.DataFrame anyURI

### base64Binary

    protected XMLTypeResourceImpl.DataFrame base64Binary

### boolean_

    protected XMLTypeResourceImpl.DataFrame boolean_

### booleanObject

    protected XMLTypeResourceImpl.DataFrame booleanObject

### byte_

    protected XMLTypeResourceImpl.DataFrame byte_

### byteObject

    protected XMLTypeResourceImpl.DataFrame byteObject

### date

    protected XMLTypeResourceImpl.DataFrame date

### dateTime

    protected XMLTypeResourceImpl.DataFrame dateTime

### decimal

    protected XMLTypeResourceImpl.DataFrame decimal

### double_

    protected XMLTypeResourceImpl.DataFrame double_

### doubleObject

    protected XMLTypeResourceImpl.DataFrame doubleObject

### duration

    protected XMLTypeResourceImpl.DataFrame duration

### entities

    protected XMLTypeResourceImpl.DataFrame entities

### entitiesBase

    protected XMLTypeResourceImpl.DataFrame entitiesBase

### entity

    protected XMLTypeResourceImpl.DataFrame entity

### float_

    protected XMLTypeResourceImpl.DataFrame float_

### floatObject

    protected XMLTypeResourceImpl.DataFrame floatObject

### gDay

    protected XMLTypeResourceImpl.DataFrame gDay

### gMonth

    protected XMLTypeResourceImpl.DataFrame gMonth

### gMonthDay

    protected XMLTypeResourceImpl.DataFrame gMonthDay

### gYear

    protected XMLTypeResourceImpl.DataFrame gYear

### gYearMonth

    protected XMLTypeResourceImpl.DataFrame gYearMonth

### hexBinary

    protected XMLTypeResourceImpl.DataFrame hexBinary

### id

    protected XMLTypeResourceImpl.DataFrame id

### idref

    protected XMLTypeResourceImpl.DataFrame idref

### idrefs

    protected XMLTypeResourceImpl.DataFrame idrefs

### idrefsBase

    protected XMLTypeResourceImpl.DataFrame idrefsBase

### int_

    protected XMLTypeResourceImpl.DataFrame int_

### integer

    protected XMLTypeResourceImpl.DataFrame integer

### intObject

    protected XMLTypeResourceImpl.DataFrame intObject

### language

    protected XMLTypeResourceImpl.DataFrame language

### long_

    protected XMLTypeResourceImpl.DataFrame long_

### longObject

    protected XMLTypeResourceImpl.DataFrame longObject

### name

    protected XMLTypeResourceImpl.DataFrame name

### ncName

    protected XMLTypeResourceImpl.DataFrame ncName

### negativeInteger

    protected XMLTypeResourceImpl.DataFrame negativeInteger

### nmtoken

    protected XMLTypeResourceImpl.DataFrame nmtoken

### nmtokens

    protected XMLTypeResourceImpl.DataFrame nmtokens

### nmtokensBase

    protected XMLTypeResourceImpl.DataFrame nmtokensBase

### nonNegativeInteger

    protected XMLTypeResourceImpl.DataFrame nonNegativeInteger

### nonPositiveInteger

    protected XMLTypeResourceImpl.DataFrame nonPositiveInteger

### normalizedString

    protected XMLTypeResourceImpl.DataFrame normalizedString

### notation

    protected XMLTypeResourceImpl.DataFrame notation

### positiveInteger

    protected XMLTypeResourceImpl.DataFrame positiveInteger

### qName

    protected XMLTypeResourceImpl.DataFrame qName

### short_

    protected XMLTypeResourceImpl.DataFrame short_

### shortObject

    protected XMLTypeResourceImpl.DataFrame shortObject

### string

    protected XMLTypeResourceImpl.DataFrame string

### time

    protected XMLTypeResourceImpl.DataFrame time

### token

    protected XMLTypeResourceImpl.DataFrame token

### unsignedByte

    protected XMLTypeResourceImpl.DataFrame unsignedByte

### unsignedByteObject

    protected XMLTypeResourceImpl.DataFrame unsignedByteObject

### unsignedInt

    protected XMLTypeResourceImpl.DataFrame unsignedInt

### unsignedIntObject

    protected XMLTypeResourceImpl.DataFrame unsignedIntObject

### unsignedLong

    protected XMLTypeResourceImpl.DataFrame unsignedLong

### unsignedShort

    protected XMLTypeResourceImpl.DataFrame unsignedShort

### unsignedShortObject

    protected XMLTypeResourceImpl.DataFrame unsignedShortObject

Constructor Detail

### XMLTypeResourceImpl.FrameFactory

    public XMLTypeResourceImpl.FrameFactory()

Method Detail

### pushAnyType

    public XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame pushAnyType(XMLTypeResourceImpl.StackFrame previous,
                                                                          org.xml.sax.Attributes attributes)

### popAnyType

    public AnyType popAnyType(XMLTypeResourceImpl.FrameFactory.AnyTypeStackFrame anyType)

### pushProcessingInstruction

    public XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame pushProcessingInstruction(XMLTypeResourceImpl.StackFrame previous,
                                                                                                      org.xml.sax.Attributes attributes)

### popProcessingInstruction

    public ProcessingInstruction popProcessingInstruction(XMLTypeResourceImpl.FrameFactory.ProcessingInstructionStackFrame processingInstruction)

### pushSimpleAnyType

    public XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame pushSimpleAnyType(XMLTypeResourceImpl.StackFrame previous,
                                                                                      org.xml.sax.Attributes attributes)

### popSimpleAnyType

    public SimpleAnyType popSimpleAnyType(XMLTypeResourceImpl.FrameFactory.SimpleAnyTypeStackFrame simpleAnyType)

### pushXMLTypeDocumentRoot

    public XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame pushXMLTypeDocumentRoot(XMLTypeResourceImpl.StackFrame previous,
                                                                                                  org.xml.sax.Attributes attributes)

### popXMLTypeDocumentRoot

    public XMLTypeDocumentRoot popXMLTypeDocumentRoot(XMLTypeResourceImpl.FrameFactory.XMLTypeDocumentRootStackFrame xmlTypeDocumentRoot)

### pushAnySimpleType

    public XMLTypeResourceImpl.DataFrame pushAnySimpleType(XMLTypeResourceImpl.StackFrame previous,
                                                           org.xml.sax.Attributes attributes)

### popAnySimpleType

    public java.lang.Object popAnySimpleType(XMLTypeResourceImpl.DataFrame anySimpleType)

### pushAnyURI

    public XMLTypeResourceImpl.DataFrame pushAnyURI(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popAnyURI

    public java.lang.String popAnyURI(XMLTypeResourceImpl.DataFrame anyURI)

### pushBase64Binary

    public XMLTypeResourceImpl.DataFrame pushBase64Binary(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popBase64Binary

    public byte[] popBase64Binary(XMLTypeResourceImpl.DataFrame base64Binary)

### pushBoolean

    public XMLTypeResourceImpl.DataFrame pushBoolean(XMLTypeResourceImpl.StackFrame previous,
                                                     org.xml.sax.Attributes attributes)

### popBoolean

    public boolean popBoolean(XMLTypeResourceImpl.DataFrame boolean_)

### pushBooleanObject

    public XMLTypeResourceImpl.DataFrame pushBooleanObject(XMLTypeResourceImpl.StackFrame previous,
                                                           org.xml.sax.Attributes attributes)

### popBooleanObject

    public java.lang.Boolean popBooleanObject(XMLTypeResourceImpl.DataFrame booleanObject)

### pushByte

    public XMLTypeResourceImpl.DataFrame pushByte(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popByte

    public byte popByte(XMLTypeResourceImpl.DataFrame byte_)

### pushByteObject

    public XMLTypeResourceImpl.DataFrame pushByteObject(XMLTypeResourceImpl.StackFrame previous,
                                                        org.xml.sax.Attributes attributes)

### popByteObject

    public java.lang.Byte popByteObject(XMLTypeResourceImpl.DataFrame byteObject)

### pushDate

    public XMLTypeResourceImpl.DataFrame pushDate(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popDate

    public javax.xml.datatype.XMLGregorianCalendar popDate(XMLTypeResourceImpl.DataFrame date)

### pushDateTime

    public XMLTypeResourceImpl.DataFrame pushDateTime(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popDateTime

    public javax.xml.datatype.XMLGregorianCalendar popDateTime(XMLTypeResourceImpl.DataFrame dateTime)

### pushDecimal

    public XMLTypeResourceImpl.DataFrame pushDecimal(XMLTypeResourceImpl.StackFrame previous,
                                                     org.xml.sax.Attributes attributes)

### popDecimal

    public java.math.BigDecimal popDecimal(XMLTypeResourceImpl.DataFrame decimal)

### pushDouble

    public XMLTypeResourceImpl.DataFrame pushDouble(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popDouble

    public double popDouble(XMLTypeResourceImpl.DataFrame double_)

### pushDoubleObject

    public XMLTypeResourceImpl.DataFrame pushDoubleObject(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popDoubleObject

    public java.lang.Double popDoubleObject(XMLTypeResourceImpl.DataFrame doubleObject)

### pushDuration

    public XMLTypeResourceImpl.DataFrame pushDuration(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popDuration

    public javax.xml.datatype.Duration popDuration(XMLTypeResourceImpl.DataFrame duration)

### pushENTITIES

    public XMLTypeResourceImpl.DataFrame pushENTITIES(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popENTITIES

    public java.util.List<java.lang.String> popENTITIES(XMLTypeResourceImpl.DataFrame entities)

### pushENTITIESBase

    public XMLTypeResourceImpl.DataFrame pushENTITIESBase(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popENTITIESBase

    public java.util.List<java.lang.String> popENTITIESBase(XMLTypeResourceImpl.DataFrame entitiesBase)

### pushENTITY

    public XMLTypeResourceImpl.DataFrame pushENTITY(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popENTITY

    public java.lang.String popENTITY(XMLTypeResourceImpl.DataFrame entity)

### pushFloat

    public XMLTypeResourceImpl.DataFrame pushFloat(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popFloat

    public float popFloat(XMLTypeResourceImpl.DataFrame float_)

### pushFloatObject

    public XMLTypeResourceImpl.DataFrame pushFloatObject(XMLTypeResourceImpl.StackFrame previous,
                                                         org.xml.sax.Attributes attributes)

### popFloatObject

    public java.lang.Float popFloatObject(XMLTypeResourceImpl.DataFrame floatObject)

### pushGDay

    public XMLTypeResourceImpl.DataFrame pushGDay(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popGDay

    public javax.xml.datatype.XMLGregorianCalendar popGDay(XMLTypeResourceImpl.DataFrame gDay)

### pushGMonth

    public XMLTypeResourceImpl.DataFrame pushGMonth(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popGMonth

    public javax.xml.datatype.XMLGregorianCalendar popGMonth(XMLTypeResourceImpl.DataFrame gMonth)

### pushGMonthDay

    public XMLTypeResourceImpl.DataFrame pushGMonthDay(XMLTypeResourceImpl.StackFrame previous,
                                                       org.xml.sax.Attributes attributes)

### popGMonthDay

    public javax.xml.datatype.XMLGregorianCalendar popGMonthDay(XMLTypeResourceImpl.DataFrame gMonthDay)

### pushGYear

    public XMLTypeResourceImpl.DataFrame pushGYear(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popGYear

    public javax.xml.datatype.XMLGregorianCalendar popGYear(XMLTypeResourceImpl.DataFrame gYear)

### pushGYearMonth

    public XMLTypeResourceImpl.DataFrame pushGYearMonth(XMLTypeResourceImpl.StackFrame previous,
                                                        org.xml.sax.Attributes attributes)

### popGYearMonth

    public javax.xml.datatype.XMLGregorianCalendar popGYearMonth(XMLTypeResourceImpl.DataFrame gYearMonth)

### pushHexBinary

    public XMLTypeResourceImpl.DataFrame pushHexBinary(XMLTypeResourceImpl.StackFrame previous,
                                                       org.xml.sax.Attributes attributes)

### popHexBinary

    public byte[] popHexBinary(XMLTypeResourceImpl.DataFrame hexBinary)

### pushID

    public XMLTypeResourceImpl.DataFrame pushID(XMLTypeResourceImpl.StackFrame previous,
                                                org.xml.sax.Attributes attributes)

### popID

    public java.lang.String popID(XMLTypeResourceImpl.DataFrame id)

### pushIDREF

    public XMLTypeResourceImpl.DataFrame pushIDREF(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popIDREF

    public java.lang.String popIDREF(XMLTypeResourceImpl.DataFrame idref)

### pushIDREFS

    public XMLTypeResourceImpl.DataFrame pushIDREFS(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popIDREFS

    public java.util.List<java.lang.String> popIDREFS(XMLTypeResourceImpl.DataFrame idrefs)

### pushIDREFSBase

    public XMLTypeResourceImpl.DataFrame pushIDREFSBase(XMLTypeResourceImpl.StackFrame previous,
                                                        org.xml.sax.Attributes attributes)

### popIDREFSBase

    public java.util.List<java.lang.String> popIDREFSBase(XMLTypeResourceImpl.DataFrame idrefsBase)

### pushInt

    public XMLTypeResourceImpl.DataFrame pushInt(XMLTypeResourceImpl.StackFrame previous,
                                                 org.xml.sax.Attributes attributes)

### popInt

    public int popInt(XMLTypeResourceImpl.DataFrame int_)

### pushInteger

    public XMLTypeResourceImpl.DataFrame pushInteger(XMLTypeResourceImpl.StackFrame previous,
                                                     org.xml.sax.Attributes attributes)

### popInteger

    public java.math.BigInteger popInteger(XMLTypeResourceImpl.DataFrame integer)

### pushIntObject

    public XMLTypeResourceImpl.DataFrame pushIntObject(XMLTypeResourceImpl.StackFrame previous,
                                                       org.xml.sax.Attributes attributes)

### popIntObject

    public java.lang.Integer popIntObject(XMLTypeResourceImpl.DataFrame intObject)

### pushLanguage

    public XMLTypeResourceImpl.DataFrame pushLanguage(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popLanguage

    public java.lang.String popLanguage(XMLTypeResourceImpl.DataFrame language)

### pushLong

    public XMLTypeResourceImpl.DataFrame pushLong(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popLong

    public long popLong(XMLTypeResourceImpl.DataFrame long_)

### pushLongObject

    public XMLTypeResourceImpl.DataFrame pushLongObject(XMLTypeResourceImpl.StackFrame previous,
                                                        org.xml.sax.Attributes attributes)

### popLongObject

    public java.lang.Long popLongObject(XMLTypeResourceImpl.DataFrame longObject)

### pushName

    public XMLTypeResourceImpl.DataFrame pushName(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popName

    public java.lang.String popName(XMLTypeResourceImpl.DataFrame name)

### pushNCName

    public XMLTypeResourceImpl.DataFrame pushNCName(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popNCName

    public java.lang.String popNCName(XMLTypeResourceImpl.DataFrame ncName)

### pushNegativeInteger

    public XMLTypeResourceImpl.DataFrame pushNegativeInteger(XMLTypeResourceImpl.StackFrame previous,
                                                             org.xml.sax.Attributes attributes)

### popNegativeInteger

    public java.math.BigInteger popNegativeInteger(XMLTypeResourceImpl.DataFrame negativeInteger)

### pushNMTOKEN

    public XMLTypeResourceImpl.DataFrame pushNMTOKEN(XMLTypeResourceImpl.StackFrame previous,
                                                     org.xml.sax.Attributes attributes)

### popNMTOKEN

    public java.lang.String popNMTOKEN(XMLTypeResourceImpl.DataFrame nmtoken)

### pushNMTOKENS

    public XMLTypeResourceImpl.DataFrame pushNMTOKENS(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popNMTOKENS

    public java.util.List<java.lang.String> popNMTOKENS(XMLTypeResourceImpl.DataFrame nmtokens)

### pushNMTOKENSBase

    public XMLTypeResourceImpl.DataFrame pushNMTOKENSBase(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popNMTOKENSBase

    public java.util.List<java.lang.String> popNMTOKENSBase(XMLTypeResourceImpl.DataFrame nmtokensBase)

### pushNonNegativeInteger

    public XMLTypeResourceImpl.DataFrame pushNonNegativeInteger(XMLTypeResourceImpl.StackFrame previous,
                                                                org.xml.sax.Attributes attributes)

### popNonNegativeInteger

    public java.math.BigInteger popNonNegativeInteger(XMLTypeResourceImpl.DataFrame nonNegativeInteger)

### pushNonPositiveInteger

    public XMLTypeResourceImpl.DataFrame pushNonPositiveInteger(XMLTypeResourceImpl.StackFrame previous,
                                                                org.xml.sax.Attributes attributes)

### popNonPositiveInteger

    public java.math.BigInteger popNonPositiveInteger(XMLTypeResourceImpl.DataFrame nonPositiveInteger)

### pushNormalizedString

    public XMLTypeResourceImpl.DataFrame pushNormalizedString(XMLTypeResourceImpl.StackFrame previous,
                                                              org.xml.sax.Attributes attributes)

### popNormalizedString

    public java.lang.String popNormalizedString(XMLTypeResourceImpl.DataFrame normalizedString)

### pushNOTATION

    public XMLTypeResourceImpl.DataFrame pushNOTATION(XMLTypeResourceImpl.StackFrame previous,
                                                      org.xml.sax.Attributes attributes)

### popNOTATION

    public javax.xml.namespace.QName popNOTATION(XMLTypeResourceImpl.DataFrame notation)

### pushPositiveInteger

    public XMLTypeResourceImpl.DataFrame pushPositiveInteger(XMLTypeResourceImpl.StackFrame previous,
                                                             org.xml.sax.Attributes attributes)

### popPositiveInteger

    public java.math.BigInteger popPositiveInteger(XMLTypeResourceImpl.DataFrame positiveInteger)

### pushQName

    public XMLTypeResourceImpl.DataFrame pushQName(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popQName

    public javax.xml.namespace.QName popQName(XMLTypeResourceImpl.DataFrame qName)

### pushShort

    public XMLTypeResourceImpl.DataFrame pushShort(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popShort

    public short popShort(XMLTypeResourceImpl.DataFrame short_)

### pushShortObject

    public XMLTypeResourceImpl.DataFrame pushShortObject(XMLTypeResourceImpl.StackFrame previous,
                                                         org.xml.sax.Attributes attributes)

### popShortObject

    public java.lang.Short popShortObject(XMLTypeResourceImpl.DataFrame shortObject)

### pushString

    public XMLTypeResourceImpl.DataFrame pushString(XMLTypeResourceImpl.StackFrame previous,
                                                    org.xml.sax.Attributes attributes)

### popString

    public java.lang.String popString(XMLTypeResourceImpl.DataFrame string)

### pushTime

    public XMLTypeResourceImpl.DataFrame pushTime(XMLTypeResourceImpl.StackFrame previous,
                                                  org.xml.sax.Attributes attributes)

### popTime

    public javax.xml.datatype.XMLGregorianCalendar popTime(XMLTypeResourceImpl.DataFrame time)

### pushToken

    public XMLTypeResourceImpl.DataFrame pushToken(XMLTypeResourceImpl.StackFrame previous,
                                                   org.xml.sax.Attributes attributes)

### popToken

    public java.lang.String popToken(XMLTypeResourceImpl.DataFrame token)

### pushUnsignedByte

    public XMLTypeResourceImpl.DataFrame pushUnsignedByte(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popUnsignedByte

    public short popUnsignedByte(XMLTypeResourceImpl.DataFrame unsignedByte)

### pushUnsignedByteObject

    public XMLTypeResourceImpl.DataFrame pushUnsignedByteObject(XMLTypeResourceImpl.StackFrame previous,
                                                                org.xml.sax.Attributes attributes)

### popUnsignedByteObject

    public java.lang.Short popUnsignedByteObject(XMLTypeResourceImpl.DataFrame unsignedByteObject)

### pushUnsignedInt

    public XMLTypeResourceImpl.DataFrame pushUnsignedInt(XMLTypeResourceImpl.StackFrame previous,
                                                         org.xml.sax.Attributes attributes)

### popUnsignedInt

    public long popUnsignedInt(XMLTypeResourceImpl.DataFrame unsignedInt)

### pushUnsignedIntObject

    public XMLTypeResourceImpl.DataFrame pushUnsignedIntObject(XMLTypeResourceImpl.StackFrame previous,
                                                               org.xml.sax.Attributes attributes)

### popUnsignedIntObject

    public java.lang.Long popUnsignedIntObject(XMLTypeResourceImpl.DataFrame unsignedIntObject)

### pushUnsignedLong

    public XMLTypeResourceImpl.DataFrame pushUnsignedLong(XMLTypeResourceImpl.StackFrame previous,
                                                          org.xml.sax.Attributes attributes)

### popUnsignedLong

    public java.math.BigInteger popUnsignedLong(XMLTypeResourceImpl.DataFrame unsignedLong)

### pushUnsignedShort

    public XMLTypeResourceImpl.DataFrame pushUnsignedShort(XMLTypeResourceImpl.StackFrame previous,
                                                           org.xml.sax.Attributes attributes)

### popUnsignedShort

    public int popUnsignedShort(XMLTypeResourceImpl.DataFrame unsignedShort)

### pushUnsignedShortObject

    public XMLTypeResourceImpl.DataFrame pushUnsignedShortObject(XMLTypeResourceImpl.StackFrame previous,
                                                                 org.xml.sax.Attributes attributes)

### popUnsignedShortObject

    public java.lang.Integer popUnsignedShortObject(XMLTypeResourceImpl.DataFrame unsignedShortObject)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.